// D import file generated from 'tango/core/BitArray.d'
module tango.core.BitArray;
import tango.io.Stdout;
private import tango.core.BitManip;

struct BitArray
{
	size_t len;
	size_t* ptr;
	enum bits_in_size = size_t.sizeof * 8;
	pure this(size_t _len, size_t* _ptr);
	pure this(const bool[] bits);
	const @property pure size_t length();

	@property pure void length(const size_t newlen);

	const @property const pure size_t dim();

	@property const BitArray dup();

	debug (UnitTest)
	{
	}
	this(this);
	void opAssign(bool[] bits);
	BitArray opSliceAssign(BitArray rhs);
	void init(void[] target, size_t numbits);
	debug (UnitTest)
	{
	}
	ref @property BitArray reverse();

	debug (UnitTest)
	{
	}
	ref @property BitArray sort();

	debug (UnitTest)
	{
	}
	int opApply(scope int delegate(ref bool) dg);
	int opApply(scope int delegate(ref size_t, ref bool) dg);
	debug (UnitTest)
	{
	}
	const const bool opEquals(ref const(BitArray) rhs);

	debug (UnitTest)
	{
	}
	const int opCmp(ref const(BitArray) rhs);
	debug (UnitTest)
	{
	}
	const void[] opCast();
	debug (UnitTest)
	{
	}
	const bool opIndex(size_t pos);
	BitArray opCom();
	debug (UnitTest)
	{
	}
	const BitArray opAnd(ref const(BitArray) rhs);
	debug (UnitTest)
	{
	}
	const BitArray opOr(ref const(BitArray) rhs);
	debug (UnitTest)
	{
	}
	const BitArray opXor(ref const(BitArray) rhs);
	debug (UnitTest)
	{
	}
	const BitArray opSub(ref const(BitArray) rhs);
	debug (UnitTest)
	{
	}
	const BitArray opCat(bool rhs);
	const BitArray opCat_r(bool lhs);
	const BitArray opCat(ref const(BitArray) rhs);
	debug (UnitTest)
	{
	}
	pure bool opIndexAssign(bool b, size_t pos);
	BitArray opAndAssign(const(BitArray) rhs);
	debug (UnitTest)
	{
	}
	BitArray opOrAssign(const(BitArray) rhs);
	debug (UnitTest)
	{
	}
	BitArray opXorAssign(const(BitArray) rhs);
	debug (UnitTest)
	{
	}
	BitArray opSubAssign(const(BitArray) rhs);
	debug (UnitTest)
	{
	}
	BitArray opCatAssign(bool b);
	debug (UnitTest)
	{
	}
	BitArray opCatAssign(const(BitArray) rhs);
	debug (UnitTest)
	{
	}
}
