// D import file generated from 'tango/core/util/console.d'
module tango.core.util.console;
private import tango.core.util.string;

version (Windows)
{
	enum 
	{
		UTF8 = 65001,
	}
	private extern (Windows) int GetStdHandle(int);


	private extern (Windows) int WriteFile(int, in char*, int, int*, void*);


	private extern (Windows) bool GetConsoleMode(int, int*);


	private extern (Windows) bool WriteConsoleW(int, in wchar*, int, int*, void*);


	private extern (Windows) int MultiByteToWideChar(int, int, in char*, int, wchar*, int);


}
else
{
	version (Posix)
	{
		extern (C) ptrdiff_t write(int, in void*, size_t);

	}
}
extern (C) void consoleInteger(ulong i);

extern (C) void consoleString(const(char)[] s);

struct Console
{
	alias newline opCall;
	alias emit opCall;
	Console emit(const(char)[] s);
	Console emit(ulong i);
	Console newline();
}
public Console console;

version (Windows)
{
	private inout(char)[] crop(inout(char)[] s);

}
debug (console)
{
	void main();
}
