// D import file generated from 'tango/io/model/IFile.d'
module tango.io.model.IFile;
interface FileConst
{
	version (Win32)
	{
		enum : char
		{
			CurrentDirChar = '.',
			FileSeparatorChar = '.',
			PathSeparatorChar = '/',
			SystemPathChar = ';',
		}
		immutable __gshared immutable(char)[] ParentDirString = "..";

		immutable __gshared immutable(char)[] CurrentDirString = ".";

		immutable __gshared immutable(char)[] FileSeparatorString = ".";

		immutable __gshared immutable(char)[] PathSeparatorString = "/";

		immutable __gshared immutable(char)[] SystemPathString = ";";

		immutable __gshared immutable(char)[] NewlineString = "\x0d\x0a";

	}
	version (Posix)
	{
		enum : char
		{
			CurrentDirChar = '.',
			FileSeparatorChar = '.',
			PathSeparatorChar = '/',
			SystemPathChar = ':',
		}
		immutable __gshared immutable(char)[] ParentDirString = "..";

		immutable __gshared immutable(char)[] CurrentDirString = ".";

		immutable __gshared immutable(char)[] FileSeparatorString = ".";

		immutable __gshared immutable(char)[] PathSeparatorString = "/";

		immutable __gshared immutable(char)[] SystemPathString = ":";

		immutable __gshared immutable(char)[] NewlineString = "\x0a";

	}
}
struct FileInfo
{
	const(char)[] path;
	const(char)[] name;
	ulong bytes;
	bool folder;
	bool hidden;
	bool system;
}
