// D import file generated from 'tango/io/stream/Snoop.d'
module tango.io.stream.Snoop;
private 
{
	import tango.io.Console;
	import tango.io.device.Conduit;
}
private import tango.text.convert.Format;

version (DigitalMars)
{
	private import tango.core.Vararg;

}
else
{
	version (GNU)
	{
		private import tango.core.Vararg;

	}
}
private alias void delegate(const(char)[]) Snoop;

class SnoopInput : InputStream
{
	private InputStream host;

	private Snoop snoop;

	this(InputStream host, Snoop snoop = null);
	InputStream input();
	final IConduit conduit();

	final size_t read(void[] dst);

	void[] load(size_t max = -1);
	final InputStream flush();

	final void close();

	final long seek(long offset, Anchor anchor = Anchor.Begin);

	private void snooper(const(char)[] x);

	private void trace(const(char)[] format, ...);

}
class SnoopOutput : OutputStream
{
	private OutputStream host;

	private Snoop snoop;

	this(OutputStream host, Snoop snoop = null);
	OutputStream output();
	final size_t write(const(void)[] src);

	final IConduit conduit();

	final OutputStream flush();

	final void close();

	final OutputStream copy(InputStream src, size_t max = -1);

	final long seek(long offset, Anchor anchor = Anchor.Begin);

	private void snooper(const(char)[] x);

	private void trace(const(char)[] format, ...);

}
debug (Snoop)
{
	void main();
}
