// D import file generated from 'tango/math/Probability.d'
module tango.math.Probability;
static import tango.math.ErrorFunction;
private import tango.math.GammaFunction;

private import tango.math.Math;

private import tango.math.IEEE;

real normalDistribution(real a);
real normalDistributionCompl(real a);
real normalDistributionInv(real p);
real normalDistributionComplInv(real p);
debug (UnitTest)
{
}
real studentsTDistribution(int nu, real t);
real studentsTDistributionInv(int nu, real p);
debug (UnitTest)
{
}
real fDistribution(int df1, int df2, real x);
real fDistributionCompl(int df1, int df2, real x);
real fDistributionComplInv(int df1, int df2, real p);
debug (UnitTest)
{
}
real chiSqrDistribution(real v, real x);
real chiSqrDistributionCompl(real v, real x);
real chiSqrDistributionComplInv(real v, real p);
debug (UnitTest)
{
}
real gammaDistribution(real a, real b, real x);
real gammaDistributionCompl(real a, real b, real x);
debug (UnitTest)
{
}
real betaDistribution(real a, real b, real x);
real betaDistributionCompl(real a, real b, real x);
real betaDistributionInv(real a, real b, real y);
real betaDistributionComplInv(real a, real b, real y);
debug (UnitTest)
{
}
real poissonDistribution(int k, real m);
real poissonDistributionCompl(int k, real m);
real poissonDistributionInv(int k, real p);
debug (UnitTest)
{
}
real binomialDistribution(int k, int n, real p);
debug (UnitTest)
{
}
real binomialDistributionCompl(int k, int n, real p);
debug (UnitTest)
{
}
real binomialDistributionInv(int k, int n, real y);
debug (UnitTest)
{
}
real negativeBinomialDistribution(int k, int n, real p);
real negativeBinomialDistributionInv(int k, int n, real p);
debug (UnitTest)
{
}
