// D import file generated from 'tango/net/http/ChunkStream.d'
module tango.net.http.ChunkStream;
private import tango.io.stream.Lines;

private 
{
	import tango.io.device.Conduit;
	import tango.io.stream.Buffered;
}
private import Integer = tango.text.convert.Integer;

class ChunkOutput : OutputFilter
{
	private OutputBuffer output;

	this(OutputStream stream);
	final override size_t write(const(void)[] src);

	final void terminate(scope void delegate(OutputBuffer) headers = null);

}
class ChunkInput : Lines!(char)
{
	private alias void delegate(const(char)[] line) Headers;

	private Headers headers;

	private uint available;

	this(InputStream stream, Headers headers = null);
	override ChunkInput set(InputStream stream);

	final override size_t read(void[] dst);

	private final uint nextChunk();


}
debug (ChunkStream)
{
	import tango.io.Console;
	import tango.io.device.Array;
	void main();
}
