// D import file generated from 'tango/text/locale/Parse.d'
module tango.text.locale.Parse;
private import tango.time.WallClock;

private import tango.core.Exception;

private import tango.text.locale.Core;

private import tango.time.chrono.Calendar;

private struct DateTimeParseResult
{
	int year = -1;
	int month = -1;
	int day = -1;
	int hour;
	int minute;
	int second;
	double fraction;
	int timeMark;
	Calendar calendar;
	TimeSpan timeZoneOffset;
	Time parsedDate;
}

package Time parseTime(const(char)[] s, DateTimeFormat dtf);

package Time parseTimeExact(const(char)[] s, const(char)[] format, DateTimeFormat dtf);

package bool tryParseTime(const(char)[] s, DateTimeFormat dtf, out Time result);

package bool tryParseTimeExact(const(char)[] s, const(char)[] format, DateTimeFormat dtf, out Time result);

private bool tryParseExactMultiple(const(char)[] s, const(char[])[] formats, DateTimeFormat dtf, ref DateTimeParseResult result);

private bool tryParseExact(const(char)[] s, const(char)[] pattern, DateTimeFormat dtf, ref DateTimeParseResult result);

