// D import file generated from 'tango/time/WallClock.d'
module tango.time.WallClock;
public import tango.time.Time;

private import tango.time.Clock;

private import tango.sys.Common;

struct WallClock
{
	version (Win32)
	{
		@property static Time now();


		@property static TimeSpan zone();


		static DateTime toDate();

		static DateTime toDate(const(Time) utc);

		static Time fromDate(ref const(DateTime) date);

		private static TimeSpan localBias();


	}
	version (Posix)
	{
		@property static Time now();


		@property static TimeSpan zone();


		static DateTime toDate();

		static DateTime toDate(const(Time) utc);

		static Time fromDate(ref const(DateTime) dt);

	}
	static Time toLocal(const(Time) utc);

	static Time toUtc(const(Time) wall);

}
version (Posix)
{
	version (darwin)
	{
	}
	else
	{
		shared static this();
	}
}
