// D import file generated from 'tango/time/chrono/GregorianBased.d'
module tango.time.chrono.GregorianBased;
private import tango.core.Exception;

private import tango.time.Time;

private import tango.time.chrono.Gregorian;

class GregorianBased : Gregorian
{
	private EraRange[] eraRanges_;

	private 
	{
		int maxYear_;
		int minYear_;
	}
	private int currentEra_ = -1;

	this();
	public const override Time toTime(uint year, uint month, uint day, uint hour, uint minute, uint second, uint millisecond, uint era);


	public const override uint getYear(const(Time) time);


	public const override uint getEra(const(Time) time);


	public const override uint[] eras();


	private const uint getGregorianYear(uint year, uint era);


	@property protected const uint currentEra();



}
package struct EraRange
{
	private static EraRange[][uint] eraRanges;


	private static uint[uint] currentEras;


	private static bool initialized_;


	package uint era;

	package long ticks;

	package uint yearOffset;

	package uint minEraYear;

	package uint maxEraYear;

	private static void initialize();


	package static EraRange[] getEraRanges(uint calID);


	package static uint getCurrentEra(uint calID);


	private static EraRange opCall(uint era, long ticks, uint yearOffset, uint minEraYear, uint prevEraYear);


}

