// D import file generated from 'tango/time/chrono/Hijri.d'
module tango.time.chrono.Hijri;
private import tango.time.chrono.Calendar;

public class Hijri : Calendar
{
	private immutable __gshared uint[] DAYS_TO_MONTH = [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355];


	public immutable __gshared uint HIJRI_ERA = 1;


	public const override Time toTime(uint year, uint month, uint day, uint hour, uint minute, uint second, uint millisecond, uint era);


	public const override DayOfWeek getDayOfWeek(const(Time) time);


	public const override uint getDayOfMonth(const(Time) time);


	public const override uint getDayOfYear(const(Time) time);


	public const override uint getMonth(const(Time) time);


	public const override uint getYear(const(Time) time);


	public const override uint getEra(const(Time) time);


	public const override uint getDaysInMonth(uint year, uint month, uint era);


	public const override uint getDaysInYear(uint year, uint era);


	public const override uint getMonthsInYear(uint year, uint era);


	public const override bool isLeapYear(uint year, uint era);


	public const override uint[] eras();


	public const override uint id();


	private const long daysToYear(uint year);


	private const long daysSinceJan1(uint year, uint month, uint day);


	private const int extractPart(long ticks, DatePart part);


}

