// D import file generated from 'tango/util/cipher/RC6.d'
module tango.util.cipher.RC6;
private import tango.util.cipher.Cipher;

class RC6 : BlockCipher
{
	private 
	{
		enum uint ROUNDS = 20;
		enum uint BLOCK_SIZE = 16;
		enum uint P = 3084996963u;
		enum uint Q = 2654435769u;
		uint[] S;
		const(ubyte)[] workingKey;
	}
	this();
	this(bool encrypt, ubyte[] key);
	final override @property const(char)[] name();

	const final override @property uint blockSize();

	final void init(bool encrypt, ubyte[] key);

	final override uint update(const(void[]) input_, void[] output_);

	final override void reset();

	private void setup(const(ubyte)[] key);

	debug (UnitTest)
	{
	}
}
