// D import file generated from 'tango/util/cipher/Salsa20.d'
module tango.util.cipher.Salsa20;
private import tango.util.cipher.Cipher;

class Salsa20 : StreamCipher
{
	protected 
	{
		immutable __gshared immutable(ubyte)[] sigma = cast(immutable(ubyte)[])"expand 32-byte k";

		immutable __gshared immutable(ubyte)[] tau = cast(immutable(ubyte)[])"expand 16-byte k";

		uint i0;
		uint i1;
		uint[] state;
		ubyte[] keyStream;
		uint index;
		const(ubyte)[] workingKey;
		const(ubyte)[] workingIV;
	}
	this();
	this(bool encrypt, ubyte[] key, ubyte[] iv);
	void init(bool encrypt, ubyte[] key, ubyte[] iv);
	override @property const(char[]) name();

	override ubyte returnByte(ubyte input);

	override uint update(const(void[]) input_, void[] output_);

	override void reset();

	protected void keySetup();

	protected void ivSetup();

	protected void salsa20WordToByte(const(uint[]) input, ref ubyte[] output);

	debug (UnitTest)
	{
	}
}
