// D import file generated from 'tango/util/digest/Md4.d'
module tango.util.digest.Md4;
public import tango.util.digest.Digest;

private import tango.util.digest.MerkleDamgard;

class Md4 : MerkleDamgard
{
	protected uint[4] context;

	private enum ubyte padChar = 128;

	this();
	override uint digestSize();

	override void reset();

	override void createDigest(ubyte[] buf);

	protected override uint blockSize();


	protected override uint addSize();


	protected override void padMessage(ubyte[] data);


	protected override void padLength(ubyte[] data, ulong length);


	protected override void transform(const(ubyte[]) input);


	protected static uint f(uint x, uint y, uint z);


	protected static uint h(uint x, uint y, uint z);


	private static uint g(uint x, uint y, uint z);


	private static void ff(ref uint a, uint b, uint c, uint d, uint x, uint s, uint ac);


	private static void gg(ref uint a, uint b, uint c, uint d, uint x, uint s, uint ac);


	private static void hh(ref uint a, uint b, uint c, uint d, uint x, uint s, uint ac);


	private static const uint[4] initial = [1732584193, 4023233417u, 2562383102u, 271733878];


	private static enum 
	{
		S11 = 3,
		S12 = 7,
		S13 = 11,
		S14 = 19,
		S21 = 3,
		S22 = 5,
		S23 = 9,
		S24 = 13,
		S31 = 3,
		S32 = 9,
		S33 = 11,
		S34 = 15,
	}


}
debug (UnitTest)
{
}
