// D import file generated from 'tango/util/digest/Ripemd256.d'
module tango.util.digest.Ripemd256;
private import tango.util.digest.MerkleDamgard;

public import tango.util.digest.Digest;

final class Ripemd256 : MerkleDamgard
{
	private uint[8] context;

	private enum uint padChar = 128;

	private immutable __gshared uint[8] initial = [1732584193, 4023233417u, 2562383102u, 271733878, 1985229328, 4275878552u, 2309737967u, 19088743];


	this();
	override uint digestSize();

	override void reset();

	override void createDigest(ubyte[] buf);

	protected override uint blockSize();


	protected override uint addSize();


	protected override void padMessage(ubyte[] at);


	protected override void padLength(ubyte[] at, ulong length);


	protected override void transform(const(ubyte[]) input);


}

debug (UnitTest)
{
}
