// D import file generated from 'tango/core/Exception.d'
module tango.core.Exception;
public import core.exception;

version = SocketSpecifics;
class PlatformException : Exception
{
	this(immutable(char)[] msg);
}
class TextException : Exception
{
	this(immutable(char)[] msg);
}
class ThreadPoolException : Exception
{
	this(immutable(char)[] msg);
}
class SyncException : PlatformException
{
	this(immutable(char)[] msg);
}
class IOException : PlatformException
{
	this(immutable(char)[] msg);
}
class VfsException : IOException
{
	this(immutable(char)[] msg);
}
class ClusterException : IOException
{
	this(immutable(char)[] msg);
}
class SocketException : IOException
{
	this(immutable(char)[] msg);
}
version (SocketSpecifics)
{
	class HostException : IOException
	{
		this(immutable(char)[] msg);
	}
	class AddressException : IOException
	{
		this(immutable(char)[] msg);
	}
	class SocketAcceptException : SocketException
	{
		this(immutable(char)[] msg);
	}
}
class ProcessException : PlatformException
{
	this(immutable(char)[] msg);
}
class RegexException : TextException
{
	this(immutable(char)[] msg);
}
class LocaleException : TextException
{
	this(immutable(char)[] msg);
}
class XmlException : TextException
{
	this(immutable(char)[] msg);
}
class RegistryException : Exception
{
	this(immutable(char)[] msg);
}
class IllegalArgumentException : Exception
{
	this(immutable(char)[] msg);
}
class IllegalElementException : IllegalArgumentException
{
	this(immutable(char)[] msg);
}
class NoSuchElementException : Exception
{
	this(immutable(char)[] msg);
}
class CorruptedIteratorException : NoSuchElementException
{
	this(immutable(char)[] msg);
}
