// D import file generated from 'tango/io/device/Device.d'
module tango.io.device.Device;
private import tango.sys.Common;

public import tango.io.device.Conduit;

class Device : Conduit, ISelectable
{
	public alias Conduit.error error;

	final void error();

	override immutable(char)[] toString();

	const override size_t bufferSize();

	version (Win32)
	{
		struct IO
		{
			OVERLAPPED asynch;
			Handle handle;
			bool track;
			void* task;
		}
		protected IO io;

		protected void reopen(Handle handle);

		final @property Handle fileHandle();

		version (TangoRuntime)
		{
			override void dispose();

		}
		override void detach();

		override size_t read(void[] dst);

		override size_t write(const(void)[] src);

		version (TangoRuntime)
		{
			protected final size_t wait(scheduler.Type type, uint bytes, uint timeout);


		}
	}
	version (Posix)
	{
		protected int handle = -1;

		protected void reopen(Handle handle);

		final @property Handle fileHandle();

		override void detach();

		override size_t read(void[] dst);

		override size_t write(const(void)[] src);

	}
}
