// D import file generated from 'tango/io/device/SerialPort.d'
module tango.io.device.SerialPort;
private import tango.core.Array : sort;

private 
{
	import tango.core.Exception;
	import tango.io.device.Device;
	import tango.stdc.stringz;
	import tango.sys.Common;
}
version (Windows)
{
	private import Integer = tango.text.convert.Integer;

	private import tango.stdc.stringz;

}
else
{
	version (Posix)
	{
		private 
		{
			import tango.io.FilePath;
			import tango.stdc.posix.termios;
		}
	}
}
class SerialPort : Device
{
	private const(char)[] str;

	private __gshared const(char)[][] _ports;


	this(const(char)[] port);
	override string toString();

	SerialPort speed(uint speed);
	static const(char)[][] ports();

	version (Win32)
	{
		private void create(const(char)[] port);

	}
	version (Posix)
	{
		private __gshared speed_t[uint] baudRates;


		shared static this();
		private void create(const(char)[] file);

		private void makeRaw(termios* options);

		private static inout(char)[] rest(inout(char)[] str, in char[] prefix);


		private static bool isInRange(const(char)[] str, char lower, char upper);


	}
}
