// D import file generated from 'tango/io/stream/Digester.d'
module tango.io.stream.Digester;
private import tango.io.device.Conduit;

private import tango.util.digest.Digest;

class DigestInput : InputFilter, InputFilter.Mutator
{
	private Digest filter;

	this(InputStream stream, Digest digest);
	final override size_t read(void[] dst);

	final DigestInput slurp(void[] dst = null);

	final Digest digest();

}
class DigestOutput : OutputFilter, InputFilter.Mutator
{
	private Digest filter;

	this(OutputStream stream, Digest digest);
	final override size_t write(const(void)[] src);

	final Digest digest();

}
debug (DigestStream)
{
	import tango.io.Stdout;
	import tango.io.device.Array;
	import tango.util.digest.Md5;
	import tango.io.stream.FileStream;
	void main();
}
