// D import file generated from 'tango/math/random/engines/Twister.d'
module tango.math.random.engines.Twister;
private import Integer = tango.text.convert.Integer;

struct Twister
{
	private enum : uint
	{
		N = 624,
		M = 397,
		MATRIX_A = 2567483615u,
		UPPER_MASK = 2147483648u,
		LOWER_MASK = 2147483647,
	}

	enum int canCheckpoint = true;
	enum int canSeed = true;
	private uint[N] mt;

	private uint mti = mt.length + 1;

	uint next();
	ubyte nextB();
	ulong nextL();
	void seed(uint s);
	void addEntropy(scope uint delegate() r);
	void seed(scope uint delegate() r);
	immutable(char)[] toString();
	size_t fromString(const(char[]) s);
}
