// D import file generated from 'tango/net/device/LocalSocket.d'
module tango.net.device.LocalSocket;
private import tango.net.device.Socket;

private import tango.net.device.Berkeley;

version (Windows)
{
	pragma (msg, "not yet available for windows");
}
class LocalSocket : Socket
{
	private this();

	this(const(char)[] path);
	this(LocalAddress addr);
	override immutable(char)[] toString();

}
class LocalServerSocket : LocalSocket
{
	this(const(char)[] path, int backlog = 32, bool reuse = false);
	override immutable(char)[] toString();

	Socket accept(Socket recipient = null);
}
class LocalAddress : Address
{
	align (1)struct sockaddr_un
	{
		ushort sun_family = AddressFamily.UNIX;
		char[108] sun_path;
	}

	protected 
	{
		sockaddr_un sun;
		const(char)[] _path;
		size_t _pathLength;
	}
	this(const(char)[] path);
	final override @property sockaddr* name();

	const final override @property int nameLen();

	final override @property AddressFamily addressFamily();

	final override string toString();

	const final @property const(char)[] path();

	const final @property bool isAbstract();

}
debug (LocalSocket)
{
	import tango.io.Stdout;
	void main();
}
