// D import file generated from 'tango/net/device/Multicast.d'
module tango.net.device.Multicast;
public import tango.net.InternetAddress;

public import tango.net.device.Datagram;

private import tango.net.device.Berkeley;

class Multicast : Datagram
{
	private InternetAddress group;

	enum 
	{
		Host = 0,
		Subnet = 1,
		Site = 32,
		Region = 64,
		Continent = 128,
		Unrestricted = 255,
	}
	this();
	this(InternetAddress group, bool reuse = false);
	Multicast loopback(bool yes = true);
	Multicast ttl(uint value = Subnet);
	Multicast join();
	Multicast leave();
}
debug (Multicast)
{
	import tango.io.Console;
	void main();
}
