// D import file generated from 'tango/net/device/SSLSocket.d'
module tango.net.device.SSLSocket;
private import tango.net.util.PKI;

private import tango.net.device.Socket;

private import tango.net.device.Berkeley;

private import tango.net.util.c.OpenSSL;

class SSLSocket : Socket
{
	protected BIO* sslSocket = null;

	protected SSLCtx sslCtx = null;

	this(bool config = true);
	override void detach();

	override size_t write(const(void)[] src);

	override size_t read(void[] dst);

	override SSLSocket shutdown();

	void setCtx(SSLCtx ctx, bool clientMode = true);
	private BIO* _convertToSSL(SSLCtx sslCtx, bool close, bool client);

}
class SSLServerSocket : ServerSocket
{
	private SSLCtx sslCtx;

	this(ushort port, SSLCtx ctx, int backlog = 32, bool reuse = false);
	this(Address addr, SSLCtx ctx, int backlog = 32, bool reuse = false);
	alias ServerSocket.accept accept;
	SSLSocket accept(SSLSocket recipient = null);
}
version (Test)
{
	import tetra.util.Test;
	import tango.io.Stdout;
	import tango.io.device.File;
	import tango.io.FilePath;
	import tango.core.Thread;
	import tango.stdc.stringz;
	extern (C) int blah(int booger, void* x);

}
