// D import file generated from 'tango/net/http/HttpHeaders.d'
module tango.net.http.HttpHeaders;
private import tango.time.Time;

private import tango.io.stream.Lines;

private import tango.io.model.IConduit;

public import tango.net.http.HttpConst;

private import tango.net.http.HttpTokens;

struct HeaderElement
{
	HttpHeaderName name;
	const(char)[] value;
}
class HttpHeadersView : HttpTokens
{
	alias HttpTokens.parse parse;
	private Lines!(char) line;

	private bool preserve;

	this();
	this(HttpHeadersView source);
	HttpHeadersView clone();
	HttpHeadersView retain(bool yes = true);
	override void parse(InputBuffer input);

	const(char)[] get(HttpHeaderName name, const(char)[] def = null);
	int getInt(const(HttpHeaderName) name, int def = -1);
	Time getDate(HttpHeaderName name, Time def = Time.epoch);
	int opApply(scope int delegate(ref HeaderElement) dg);
	FilteredHeaders createFilter(HttpHeaderName header);
	private static class FilteredHeaders : FilteredTokens
	{
		this(HttpHeadersView headers, HttpHeaderName header);
		int opApply(scope int delegate(ref HeaderElement) dg);
	}


}
class HttpHeaders : HttpHeadersView
{
	this();
	this(HttpHeaders source);
	override HttpHeaders clone();

	void add(HttpHeaderName name, scope void delegate(OutputBuffer) dg);
	void add(HttpHeaderName name, const(char)[] value);
	void addInt(HttpHeaderName name, size_t value);
	void addDate(HttpHeaderName name, Time value);
	bool remove(HttpHeaderName name);
}
