// D import file generated from 'tango/net/http/HttpParams.d'
module tango.net.http.HttpParams;
private import tango.time.Time;

private import tango.io.model.IConduit;

private import tango.net.http.HttpTokens;

private import tango.io.stream.Delimiters;

public import tango.net.http.model.HttpParamsView;

class HttpParams : HttpTokens, HttpParamsView
{
	alias HttpTokens.parse parse;
	alias HttpTokens.addInt addInt;
	private Delimiters!(char) amp;

	this();
	uint size();
	override void parse(InputBuffer input);

	override void add(const(char)[] name, const(char)[] value);

	void addInt(const(char)[] name, int value);
	override void addDate(const(char)[] name, Time value);

	override const(char)[] get(const(char)[] name, const(char)[] ret = null);

	override int getInt(const(char)[] name, int ret = -1);

	override Time getDate(const(char)[] name, Time ret = Time.epoch);

	override void produce(scope size_t delegate(const(void)[]) consume, const(char)[] eol = null);

}
