// D import file generated from 'tango/stdc/posix/sys/wait.d'
module tango.stdc.posix.sys.wait;
private import tango.stdc.posix.config;

public import tango.stdc.posix.sys.types;

public import tango.stdc.posix.signal;

private import tango.core.Octal;

extern (C) 
{
	version (linux)
	{
		const WNOHANG = 1;
		const WUNTRACED = 2;
		private 
		{
			const __W_CONTINUED = 65535;
			extern (D) int __WTERMSIG(int status);

		}
		extern (D) int WEXITSTATUS(int status);

		extern (D) int WIFCONTINUED(int status);

		extern (D) bool WIFEXITED(int status);

		extern (D) bool WIFSIGNALED(int status);

		extern (D) bool WIFSTOPPED(int status);

		extern (D) int WSTOPSIG(int status);

		extern (D) int WTERMSIG(int status);

	}
	else
	{
		version (darwin)
		{
			const WNOHANG = 1;
			const WUNTRACED = 2;
			private const _WSTOPPED = octal!(177);

			extern (D) int _WSTATUS(int status);

			extern (D) int WEXITSTATUS(int status);

			extern (D) int WIFCONTINUED(int status);

			extern (D) bool WIFEXITED(int status);

			extern (D) bool WIFSIGNALED(int status);

			extern (D) bool WIFSTOPPED(int status);

			extern (D) int WSTOPSIG(int status);

			extern (D) int WTERMSIG(int status);

		}
		else
		{
			version (FreeBSD)
			{
				const WNOHANG = 1;
				const WUNTRACED = 2;
				const WCONTINUED = 4;
				private const _WSTOPPED = octal!(177);

				extern (D) int _WSTATUS(int status);

				extern (D) int WEXITSTATUS(int status);

				extern (D) int WIFCONTINUED(int status);

				extern (D) bool WIFEXITED(int status);

				extern (D) bool WIFSIGNALED(int status);

				extern (D) bool WIFSTOPPED(int status);

				extern (D) int WSTOPSIG(int status);

				extern (D) int WTERMSIG(int status);

			}
			else
			{
				version (solaris)
				{
					const WCONTFLG = octal!(177777);
					const WNOHANG = octal!(100);
					const WUNTRACED = octal!(4);
					const WCONTINUED = octal!(10);
					extern (D) int WWORD(int status);

					extern (D) int WEXITSTATUS(int status);

					extern (D) int WIFCONTINUED(int status);

					extern (D) bool WIFEXITED(int status);

					extern (D) bool WIFSIGNALED(int status);

					extern (D) bool WIFSTOPPED(int status);

					extern (D) int WSTOPSIG(int status);

					extern (D) int WTERMSIG(int status);

				}
				else
				{
					static assert(false);
				}
			}
		}
	}
	pid_t wait(int*);
	pid_t waitpid(pid_t, int*, int);
}
