// D import file generated from 'tango/text/locale/Collation.d'
module tango.text.locale.Collation;
private import tango.text.locale.Core;

version (Windows)
{
	private import tango.text.locale.Win32;

}
else
{
	version (Posix)
	{
		private import tango.text.locale.Posix;

	}
}
public class StringComparer
{
	private static StringComparer invariant_;


	private static StringComparer invariantIgnoreCase_;


	private Culture culture_;

	private bool ignoreCase_;

	shared static this();
	public this(Culture culture, bool ignoreCase);

	public int compare(const(char)[] strA, const(char)[] strB);

	public bool equals(const(char)[] strA, const(char)[] strB);

	public static StringComparer currentCulture();


	public static StringComparer currentCultureIgnoreCase();


	public static StringComparer invariantCulture();


	public static StringComparer invariantCultureIgnoreCase();


}

alias int delegate(const(char)[], const(char)[]) StringComparison;
public class StringSorter
{
	private static StringSorter invariant_;


	private static StringSorter invariantIgnoreCase_;


	private Culture culture_;

	private StringComparison comparison_;

	shared static this();
	public this(StringComparer comparer = null);

	public this(StringComparison comparison);

	public inout(void) sort(ref inout(char)[][] array);

	public inout(void) sort(ref inout(char)[][] array, size_t index, size_t count);

	@property public static StringSorter currentCulture();



	@property public static StringSorter currentCultureIgnoreCase();



	public static StringSorter invariantCulture();


	public static StringSorter invariantCultureIgnoreCase();


}

