// D import file generated from 'tango/time/Clock.d'
module tango.time.Clock;
public import tango.time.Time;

private import tango.sys.Common;

private import tango.core.Exception;

struct Clock
{
	package immutable __gshared uint[] DaysToMonthCommon = [0, 31, 59, 90, 120, 151, 181, 212, 243, 273, 304, 334, 365];


	package static void setDoy(ref DateTime dt);


	version (Win32)
	{
		@property static Time now();


		static DateTime toDate();

		static DateTime toDate(const(Time) time);

		static Time fromDate(ref const(DateTime) dt);

		package static Time convert(const(FILETIME) time);


		package static FILETIME convert(const(Time) dt);


	}
	version (Posix)
	{
		@property static Time now();


		static DateTime toDate();

		static DateTime toDate(const(Time) time);

		static Time fromDate(ref const(DateTime) dt);

		package static Time convert(ref const(timeval) tv);


		package static timeval convert(const(Time) time);


	}
}
debug (UnitTest)
{
}
debug (Clock)
{
	void main();
}
