// D import file generated from 'tango/util/cipher/TEA.d'
module tango.util.cipher.TEA;
private import tango.util.cipher.Cipher;

class TEA : BlockCipher
{
	private 
	{
		enum uint ROUNDS = 32;
		enum uint KEY_SIZE = 16;
		enum uint BLOCK_SIZE = 8;
		enum uint DELTA = 2654435769u;
		enum uint DECRYPT_SUM = 3337565984u;
		uint sk0;
		uint sk1;
		uint sk2;
		uint sk3;
		uint sum;
	}
	this();
	this(bool encrypt, ubyte[] key);
	final override void reset();

	final override @property const(char)[] name();

	const final override @property uint blockSize();

	final void init(bool encrypt, ubyte[] key);

	final override uint update(const(void[]) input_, void[] output_);

	debug (UnitTest)
	{
	}
}
