// D import file generated from 'tango/util/cipher/XTEA.d'
module tango.util.cipher.XTEA;
private import tango.util.cipher.Cipher;

class XTEA : BlockCipher
{
	private 
	{
		enum uint ROUNDS = 32;
		enum uint KEY_SIZE = 16;
		enum uint BLOCK_SIZE = 8;
		enum uint DELTA = 2654435769u;
		uint[] subkeys;
		uint[] sum0;
		uint[] sum1;
	}
	this();
	this(bool encrypt, ubyte[] key);
	final override void reset();

	final override @property const(char)[] name();

	const final override @property uint blockSize();

	final void init(bool encrypt, ubyte[] key);

	final override uint update(const(void[]) input_, void[] output_);

	debug (UnitTest)
	{
	}
}
