// D import file generated from 'tango/util/digest/Sha01.d'
module tango.util.digest.Sha01;
private import tango.core.ByteSwap;

private import tango.util.digest.MerkleDamgard;

package abstract class Sha01 : MerkleDamgard
{
	protected uint[5] context;

	private static enum ubyte padChar = 128;


	package static enum uint mask = 15;


	final override uint digestSize();

	final protected override void reset();



	final protected override void createDigest(ubyte[] buf);



	final protected override uint blockSize();



	final protected override uint addSize();



	final protected override void padMessage(ubyte[] data);



	final protected override void padLength(ubyte[] data, ulong length);



	protected static uint f(uint t, uint B, uint C, uint D);


	protected immutable __gshared uint[] K = [1518500249, 1859775393, 2400959708u, 3395469782u];


	private immutable __gshared uint[5] initial = [1732584193, 4023233417u, 2562383102u, 271733878, 3285377520u];


}


